Bug 1003701 - Missing dependency on python-netaddr
Missing dependency on python-netaddr
Status: CLOSED EOL
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: RHOS Maint
Nir Magnezi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-02 18:16 EDT by Jakub Ruzicka
Modified: 2015-05-14 10:16 EDT (History)
4 users (show)

See Also:
Fixed In Version: openstack-packstack-2013.2.1-0.5.dev740
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-14 10:16:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Ruzicka 2013-09-02 18:16:07 EDT
Description of problem:
After fresh RDO Havana openstack-packstack install, I get

ImportError: No module named netaddr

when running packstack. After `yum install python-netaddr`, packstack works as expected.

Version-Release number of selected component (if applicable):
openstack-packstack-2013.2.1-0.4.dev740.el6.noarch

How reproducible:
Follow RDO quickstart.
# yum install openstack-packstack
# packstack --allinone
Comment 1 Jakub Ruzicka 2013-09-02 18:17:13 EDT
Note that this fails for both Fedora and EL.
Comment 2 Nir Magnezi 2013-09-10 09:23:20 EDT
Verified NVR: openstack-packstack-2013.2.1-0.7.dev752.el6.noarch

Executing 'yum install openstack-packstack' installs python-netaddr by dependency
Comment 3 Rich Bowen 2015-05-14 10:16:32 EDT
Refers to EOL'ed version that is no longer maintained. Please feel free to reopen if you feel it still needs to be addressed.

Note You need to log in before you can comment on or make changes to this bug.